Bug 218440 - Changes during hibernate not detected
Changes during hibernate not detected
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-12-05 06:38 EST by Leon Stringer
Modified: 2013-03-05 22:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-17 01:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leon Stringer 2006-12-05 06:38:07 EST
Description of problem:
If I hibernate my laptop with mains connected, then disconnect the mains supply
and de-hibernate it GNOME Power Manager shows the computer as using AC power
(i.e. mains plug icon and tooltip).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Fedora on laptop with mains connected, Power Manager shows mains socket
icon, tooltip says "Computer is running on AC power".
2. Select System->Shut Down... and select Hibernate when prompted. Computer
3. Disconnect mains supply.
4. Start Fedora resuming from hibernated state.
Actual results:
Power Manager still shows mains socket icon, tooltip says "Computer is running
on AC power".

Expected results:
Power Manager shows battery icon and associated tooltip.
Comment 1 Richard Hughes 2006-12-05 11:16:14 EST
When you've done that, and you resume on battery, what does "lshal| grep
battery" say?
Comment 2 Leon Stringer 2006-12-05 14:55:36 EST
It says:

  battery.charge_level.percentage = 100  (0x64)  (int)
  battery.charge_level.rate = 0  (0x0)  (int)
  battery.charge_level.last_full = 61257  (0xef49)  (int)
  battery.charge_level.current = 61257  (0xef49)  (int)
  battery.voltage.current = 11330  (0x2c42)  (int)
  battery.reporting.rate = 0  (0x0)  (int)
  battery.reporting.current = 61257  (0xef49)  (int)
  battery.charge_level.capacity_state = 'ok'  (string)
  battery.rechargeable.is_discharging = false  (bool)
  battery.rechargeable.is_charging = false  (bool)
  battery.is_rechargeable = true  (bool)
  battery.alarm.unit = 'mWh'  (string)
  battery.alarm.design = 1231  (0x4cf)  (int)
  battery.charge_level.unit = 'mWh'  (string)
  battery.charge_level.granularity_2 = 10  (0xa)  (int)
  battery.charge_level.granularity_1 = 10  (0xa)  (int)
  battery.charge_level.low = 0  (0x0)  (int)
  battery.charge_level.warning = 1231  (0x4cf)  (int)
  battery.charge_level.design = 71280  (0x11670)  (int)
  battery.voltage.design = 10800  (0x2a30)  (int)
  battery.voltage.unit = 'mV'  (string)
  battery.reporting.granularity_2 = 10  (0xa)  (int)
  battery.reporting.granularity_1 = 10  (0xa)  (int)
  battery.reporting.low = 0  (0x0)  (int)
  battery.reporting.warning = 1231  (0x4cf)  (int)
  battery.reporting.design = 71280  (0x11670)  (int)
  battery.reporting.last_full = 61257  (0xef49)  (int)
  battery.reporting.unit = 'mWh'  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.reporting.technology = 'Li-ION'  (string)
  battery.serial = '0000001815'  (string)
  battery.model = 'G71C0001Q210'  (string)
  battery.present = true  (bool)
  info.capabilities = {'battery'} (string list)
  info.category = 'battery'  (string)
  battery.type = 'primary'  (string)
  linux.acpi_path = '/proc/acpi/battery/BAT1'  (string)
  battery.present = false  (bool)
  info.capabilities = {'battery'} (string list)
  info.category = 'battery'  (string)
  battery.type = 'primary'  (string)
  linux.acpi_path = '/proc/acpi/battery/BAT2'  (string)
Comment 3 Richard Hughes 2006-12-09 14:39:50 EST
It says:

  battery.rechargeable.is_discharging = false  (bool)
  battery.rechargeable.is_charging = false  (bool)

So your battery doesn't think it's discharging. I think theres a kernel patch in
the process of getting upstream that will help here, as it forces a battery
refresh on un-freeze. That should help. I'll try to find out what kernel it is
in, if that is it's already in vanilla.
Comment 4 Richard Hughes 2007-05-14 04:46:35 EDT
Yes, this kernel patch is now upstream. Can you test with a fairly recent
rawhide or F7 snapshot and see if the problem is fixed please? Thanks.
Comment 5 petrosyan 2008-03-17 01:22:58 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.